/* =====================================
=  Program Name: abundancebin
=  File Name: myMalloc.h
=  Version: 1.0
=  Developer: Yu-Wei Wu <yuwwu@indiana.edu>, and Yuzhen Ye <yye@indiana.edu>
=  Affiliation: School of Informatics, Indiana University, Bloomington
=
=  abundancebin is free software under the terms of the GNU General Public
=  License as published by the Free Software Foundation.
======================================*/

#ifndef __MYMALLOC_H__
#define __MYMALLOC_H__

#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifndef WIN32
	#define _int64 long long
#endif

class myMalloc
{
	public:
		myMalloc();
		void* allocate(unsigned int size);
		unsigned _int64 reportTotal();
	private:
		unsigned _int64 total;
};


#endif
