/* =====================================
=  Program Name: abundancebin
=  File Name: myMalloc.cpp
=  Version: 1.0
=  Developer: Yu-Wei Wu <yuwwu@indiana.edu>, and Yuzhen Ye <yye@indiana.edu>
=  Affiliation: School of Informatics, Indiana University, Bloomington
=
=  abundancebin is free software under the terms of the GNU General Public
=  License as published by the Free Software Foundation.
======================================*/

#include "myMalloc.h"

myMalloc::myMalloc()
{
	total = 0;
}

void* myMalloc::allocate(unsigned int size)
{
 	total = total + (_int64)size;
	//printf("Allocated %u memory, total = %u\n", size, total);
	return malloc(size);
}

unsigned _int64 myMalloc::reportTotal()
{
	return total;
}
