/* =====================================
=  Program Name: abundancebin
=  File Name: myStack.h
=  Version: 1.0
=  Developer: Yu-Wei Wu <yuwwu@indiana.edu>, and Yuzhen Ye <yye@indiana.edu>
=  Affiliation: School of Informatics, Indiana University, Bloomington
=
=  abundancebin is free software under the terms of the GNU General Public
=  License as published by the Free Software Foundation.
======================================*/

#ifndef __MYSTACK_H__
#define __MYSTACK_H__

#include <iostream>
#include "myMalloc.h"

class myStack
{
	public:
		myStack();
		bool push(unsigned short b, double inputAbundance, double inputSize);
		void pop(unsigned short *b, double *inputAbundance, double *inputSize);
		bool isContent();
	private:
		const static int maxSize;
		unsigned short *sArray;
		double *fAbundance;
		double *fSize;
		unsigned short pos;
};

#endif
